- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.ListIntegrationConnectorsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.connectors.list

Lists all IntegrationConnectors defined for a specific integration.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/connectors`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list Connectors for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/connectors |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of Connectors to return. The service may return fewer than this value. If unspecified, at most 50 Connectors will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `ListConnectors` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter that can be used to filter the list of Integration Connectors. |
| `orderBy` | `string` Optional. A field that can be used to sort the list of Integration Connectors. |
| `excludeStaging` | `boolean` Optional. Exclude staging connectors from the response. By default, staging connectors are included. |

### Request body

The request body must be empty.

### Response body

Response message for ListConnectors.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connectors": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors#IntegrationConnector`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `connectors[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors#IntegrationConnector`)`` The list of Connectors. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of Integration Connectors. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.connectors.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).